Mailinglist Archive: opensuse-updates (108 mails)

< Previous Next >
openSUSE-SU-2014:0138-1: moderate: update for gnumeric
openSUSE Security Update: update for gnumeric
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0138-1
Rating: moderate
References: #856254
Cross-References: CVE-2013-6836 CVE-2013-6838
Affected Products:
openSUSE 13.1
openSUSE 12.3
openSUSE 12.2
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:


- Add gnumeric-CVE-2013-6836.patch: fix
Heap-buffer-overflow in ms_escher_get_data on a fuzzed
xls file (bnc#856254, bgo#712772, CVE-2013-6838).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-84

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-84

- openSUSE 12.2:

zypper in -t patch openSUSE-2014-84

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

gnumeric-1.12.7-2.5.3
gnumeric-debuginfo-1.12.7-2.5.3
gnumeric-debugsource-1.12.7-2.5.3
gnumeric-devel-1.12.7-2.5.3

- openSUSE 13.1 (noarch):

gnumeric-lang-1.12.7-2.5.3

- openSUSE 12.3 (i586 x86_64):

gnumeric-1.12.0-2.4.3
gnumeric-debuginfo-1.12.0-2.4.3
gnumeric-debugsource-1.12.0-2.4.3
gnumeric-devel-1.12.0-2.4.3

- openSUSE 12.3 (noarch):

gnumeric-lang-1.12.0-2.4.3

- openSUSE 12.2 (i586 x86_64):

gnumeric-1.11.3-2.5.2
gnumeric-debuginfo-1.11.3-2.5.2
gnumeric-debugsource-1.11.3-2.5.2
gnumeric-devel-1.11.3-2.5.2

- openSUSE 12.2 (noarch):

gnumeric-lang-1.11.3-2.5.2


References:

http://support.novell.com/security/cve/CVE-2013-6836.html
http://support.novell.com/security/cve/CVE-2013-6838.html
https://bugzilla.novell.com/856254


< Previous Next >
This Thread
  • No further messages